Your connected accounts
GET
/v1/me/identities
const url = 'https://api.gampeon.com/v1/me/identities';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/me/identities \ --header 'Authorization: Bearer <token>'Steam and Discord accounts connected to your account, whether you have a password, and which providers can be connected.
Not available with access tokens.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Connected accounts
Media typeapplication/json
object
identities
required
Array<object>
object
provider
required
Sign-in provider
string
name
required
url
required
Profile page at the provider
string format: uri
showOnProfile
required
Shown on your public profile. Never for accounts under 16.
boolean
createdAt
required
Unix time in milliseconds
integer format: int64
hasPassword
required
boolean
providers
required
Providers that are switched on
Array<object>
object
id
required
Sign-in provider
string
name
required
string
ageGroup
required
string
Example
{ "identities": [ { "provider": "steam" } ], "providers": [ { "id": "steam" } ], "ageGroup": "protected"}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}